Subject: [Ace] FW: New Version Notification for draft-selander-ace-object-security-04.txt

From: Göran Selander <[email-masked]>
Date: Wed, 23 Mar 2016 07:25:38 +0000

Dear CoRE, COSE and ACE WGs,

We have submitted an updated version of OSCOAP.

For those who don’t know, OSCOAP is an application layer security protocol
for CoAP, based on wrapping request and response messages in COSE objects
which are sent in a CoAP message exchange.

The draft is essentially rewritten but many components are unchanged since
-03. The requirements for end-to-end security are replaced by the recently
announced draft on the CoRE list [1]. The adoption of COSE is now
completed.

We would like present this at the CoRE WG meeting, and also a short slot
at the COSE WG meeting.

Regards,
Göran

[1] https://tools.ietf.org/html/draft-hartke-core-e2e-security-reqs

On 2016-03-21 19:51, "[email-masked]" <[email-masked]>
wrote:

>
>A new version of I-D, draft-selander-ace-object-security-04.txt
>has been successfully submitted by Goeran Selander and posted to the
>IETF repository.
>
>Name:		draft-selander-ace-object-security
>Revision:	04
>Title:		Object Security of CoAP (OSCOAP)
>Document date:	2016-03-21
>Group:		Individual Submission
>Pages:		34
>URL:            
>https://www.ietf.org/internet-drafts/draft-selander-ace-object-security-04
>.txt
>Status:         
>https://datatracker.ietf.org/doc/draft-selander-ace-object-security/
>Htmlized:       
>https://tools.ietf.org/html/draft-selander-ace-object-security-04
>Diff:           
>https://www.ietf.org/rfcdiff?url2=draft-selander-ace-object-security-04
>
>Abstract:
>   This memo defines Object Security of CoAP (OSCOAP), a method for
>   application layer protection of message exchanges with the
>   Constrained Application Protocol (CoAP), using the CBOR Encoded
>   Message Syntax.  OSCOAP provides end-to-end encryption, integrity and
>   replay protection to CoAP payload, options, and header fields, as
>   well as a secure binding between CoAP request and response messages.
>   The use of OSCOAP is signaled with the CoAP option Object-Security,
>   also defined in this memo.
>
>                  
>        
>
>
>Please note that it may take a couple of minutes from the time of
>submission
>until the htmlized version and diff are available at tools.ietf.org.
>
>The IETF Secretariat
>